> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder



## OpenAPI

````yaml /openapi.json put /v1/workspaces/{workspaceId}/soft-costs/order
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/soft-costs/order:
    put:
      tags:
        - Workspace Soft Costs
      summary: Reorder
      operationId: WorkspaceSoftCostsController_reorder_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                revision:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                groupOrder:
                  minItems: 4
                  maxItems: 4
                  type: array
                  items:
                    type: string
                    enum:
                      - logistics
                      - field-operations
                      - professional-fees
                      - governmental
                records:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        pattern: ^[1-9]\d{0,18}$
                      version:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                      position:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                    required:
                      - id
                      - version
                      - position
                    additionalProperties: false
              required:
                - revision
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SoftCostLibraryResponseDto'
      security:
        - bearer: []
components:
  schemas:
    SoftCostLibraryResponseDto:
      type: object
      properties:
        revision:
          type: number
        groupOrder:
          type: array
          items:
            type: string
        records:
          type: array
          items:
            $ref: '#/components/schemas/SoftCostRecordResponseDto'
        types:
          type: array
          items:
            $ref: '#/components/schemas/SoftCostTypeResponseDto'
      required:
        - revision
        - groupOrder
        - records
        - types
    SoftCostRecordResponseDto:
      type: object
      properties:
        id:
          type: string
        typeId:
          type: string
          enum:
            - shipping-freight
            - customs-duties
            - storage-warehousing
            - installation
            - delivery-white-glove
            - professional-services
            - reimbursable-expenses
            - permits-government-fees
            - insurance-bonds
        name:
          type: string
        archived:
          type: boolean
        position:
          type: number
        version:
          type: number
      required:
        - id
        - typeId
        - name
        - archived
        - position
        - version
    SoftCostTypeResponseDto:
      type: object
      properties:
        id:
          type: string
          enum:
            - shipping-freight
            - customs-duties
            - storage-warehousing
            - installation
            - delivery-white-glove
            - professional-services
            - reimbursable-expenses
            - permits-government-fees
            - insurance-bonds
        name:
          type: string
        groupId:
          type: string
      required:
        - id
        - name
        - groupId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.